REST API›Fiat›Plaid

POST

Creates a Plaid Link token that opens Link in update mode for the Plaid Item behind an existing bank transfer method.

Once the user completes Link, call /api/tradfi/v1/plaid/link/token/update/complete. The token expires after 30 minutes.

Body Params

object

  • enterpriseId string required
    The ID of the enterprise

    at least 1 characters

  • bankTransferMethodId string uuid required
    The ID of a bank transfer method created through Plaid Link.
  • androidPackageName string
    The Android package name for OAuth redirect flows. Required when initializing Plaid Link on Android.
  • redirectUri string
    The OAuth redirect URI for mobile and web flows.

Responses

201
Created

Response Body

object

  • data object required
    data object
    • token string required
      The Plaid Link token to use in the client
    • expiration string date-time required
      The expiration time of the link token
400
Bad Request - Missing parameters, or the bank transfer method is not linked to a Plaid Item

Response Body

object

  • errorName string required
  • error string required
404
Not Found - The bank transfer method does not exist or belongs to another enterprise

Response Body

object

  • errorName string required
  • error string required
424
Failed Dependency - Plaid service is unavailable

Response Body

object

  • errorName string required
  • error string required
428
Precondition Required - Plaid is not configured for this account

Response Body

object

  • errorName string required
  • error string required
500
Internal Server Error

Response Body

object

  • errorName string required
  • error string required